Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dataStructures
Class SparseMatrixAsVector

    java.lang.Object
      |
      +--dataStructures.SparseMatrixAsVector

public class SparseMatrixAsVector
extends java.lang.Object

Constructor Summary
`SparseMatrixAsVector(int theRows, int theColumns, int estimatedMaxSize, java.lang.Object theZero)`
`SparseMatrixAsVector(int theRows, int theColumns, java.lang.Object theZero)` use a default estimated maximum size of 1
`SparseMatrixAsVector(java.lang.Object theZero)` defaults are rows = cols = estimatedMaxSize = 1

Method Summary
`SparseMatrixAsVector` | `add(SparseMatrixAsVector m)`
`static SparseMatrixAsVector` | `input(java.lang.Object theZero, MyInputStream stream)` input a sparse matrix into this from the given input stream
`static void` | `main(java.lang.String[] args)` test program
`java.lang.String` | `toString()` convert the matrix into a string so it can be output
`SparseMatrixAsVector` | `transpose()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SparseMatrixAsVector

    public SparseMatrixAsVector(int theRows,
                                int theColumns,
                                int estimatedMaxSize,
                                java.lang.Object theZero)

### SparseMatrixAsVector

    public SparseMatrixAsVector(int theRows,
                                int theColumns,
                                java.lang.Object theZero)

  use a default estimated maximum size of 1

### SparseMatrixAsVector

    public SparseMatrixAsVector(java.lang.Object theZero)

  defaults are rows = cols = estimatedMaxSize = 1

Method Detail

### toString

    public java.lang.String toString()

  convert the matrix into a string so it can be output
  Overrides:
    toString in class java.lang.Object

### input

    public static SparseMatrixAsVector input(java.lang.Object theZero,
                                             MyInputStream stream)

  input a sparse matrix into this from the given input stream

### transpose

    public SparseMatrixAsVector transpose()

  Returns:
    the transpose of this matrix values are not cloned

### add

    public SparseMatrixAsVector add(SparseMatrixAsVector m)

  Returns:
    this + m

### main

    public static void main(java.lang.String[] args)

  test program

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD